Skip to main content
`Ctrl`+`K`

# DMNetworkViewSetShowRanks

Sets viewing the `DMETNWORK` on each rank individually.

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkViewSetShowRanks(DM dm, PetscBool showranks)

Logically Collective

## Input Parameter

- dm - the `DMNETWORK` object

## Output Parameter

- showranks - `PETSC_TRUE` if viewing each rank’s sub network individually

## See Also

`DM`, `DMNETWORK`, `DMNetworkViewSetShowGlobal()`, `DMNetworkViewSetShowVertices()`, `DMNetworkViewSetShowNumbering()`, `DMNetworkViewSetViewRanks()`

## Level

beginner

## Location

src/dm/impls/network/networkview.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages